import { IWorker, StoreType } from '@jfrog-pipelines/microservice';
import { ServiceMetaType } from '@jfrog-pipelines/utility';
export declare class NodePoolWorker implements IWorker {
    private details;
    private store;
    private logger;
    private nodePoolService;
    private readonly systemProperties;
    constructor(details: ServiceMetaType, store: StoreType);
    process(message: Record<string, unknown>): Promise<void>;
}
